Removes all values

- « Ds\PriorityQueue::capacity

- Ds\PriorityQueue::__construct »

- PHP Manual
- Ds\PriorityQueue
- Removes all values

# Ds\PriorityQueue::clear

(PECL ds >= 1.0.0)

Ds\PriorityQueue::clear — Removes all values

### Description

public Ds\PriorityQueue::clear(): void

Removes all values from the queue.

### Parameters

This function has no parameters.

### Return Values

No value is returned.

### Examples

Example #1 Ds\PriorityQueue::clear() example

    <?php
    $queue = new \Ds\PriorityQueue();

    $queue->push("a",  5);
    $queue->push("b", 15);
    $queue->push("c", 10);

    $queue->clear();
    print_r($queue);
    ?>

The above example will output something similar to:

    Ds\PriorityQueue Object
    (
    )